# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   
Name:      myldapklient
Version:   0.6.6
Release:   1
Copyright: GPL
Vendor:    Fredrik Srensson <sorn73@yahoo.com>
Url:       
Icon:     myldapklient.xpm
Packager:  Fredrik Srensson <sorn73@yahoo.com>
Group:     
Source:    myldapklient-0.6.6.tar.gz
BuildRoot: 

%description
This is an LDAP application providing an interface between an LDAP server, kabc and kmail.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 --build=i386-linux --host=i386-linux --target=i386-linux --prefix=/usr  \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.myldapklient
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.myldapklient
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.myldapklient

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/myldapklient
rm -rf ../file.list.myldapklient


%files -f ../file.list.myldapklient
